<?php
/**
 * Dynamic CSS
 */
function clothing_marketplace_dynamic_css() {
	$clothing_marketplace_primary_color = get_theme_mod( 'clothing_marketplace_primary_color', '#5F222A' );
	$clothing_marketplace_secondary_color = get_theme_mod( 'clothing_marketplace_secondary_color', '#FD6564' );

	$clothing_marketplace_site_title_font       = get_theme_mod( 'clothing_marketplace_site_title_font', 'Raleway' );
	$clothing_marketplace_site_description_font = get_theme_mod( 'clothing_marketplace_site_description_font', 'Cabin' );
	$clothing_marketplace_header_font           = get_theme_mod( 'clothing_marketplace_header_font', 'Raleway' );
	$clothing_marketplace_content_font          = get_theme_mod( 'clothing_marketplace_content_font', 'Cabin' );

	// Enqueue Google Fonts
	$clothing_marketplace_fonts_url = clothing_marketplace_get_fonts_url();
	if ( ! empty( $clothing_marketplace_fonts_url ) ) {
		wp_enqueue_style( 'clothing-marketplace-google-fonts', esc_url( $clothing_marketplace_fonts_url ), array(), null );
	}

	$clothing_marketplace_custom_css  = '';
	$clothing_marketplace_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $clothing_marketplace_primary_color ) . ';
		--secondary-color: ' . esc_attr( $clothing_marketplace_secondary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$clothing_marketplace_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $clothing_marketplace_header_font ) . '", sans-serif;
        --font-second: "' . esc_attr( $clothing_marketplace_content_font ) . '", sans-serif;
    }


    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $clothing_marketplace_content_font ) . '", sans-serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .slider-text {
        font-family: "' . esc_attr( $clothing_marketplace_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $clothing_marketplace_site_description_font ) . '", sans-serif !important;
	}
    ';

	wp_add_inline_style( 'clothing-marketplace-style', $clothing_marketplace_custom_css );
}
add_action( 'wp_enqueue_scripts', 'clothing_marketplace_dynamic_css', 99 );